From eb85faa6512dcc5a63cbdd22909b9da85ccf503a Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 09 2017 15:54:10 +0000
Subject: [PATCH 706/1001] Adapt the models to the new widget class


---

diff --git a/hubs/models.py b/hubs/models.py
old mode 100755
new mode 100644
index 63fbcb1..d322437
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -30,6 +30,7 @@ import os
 import random
 
 import bleach
+import dogpile
 import sqlalchemy as sa
 from sqlalchemy import create_engine
 from sqlalchemy.ext.declarative import declarative_base
@@ -292,10 +293,11 @@ class Hub(BASE):
 
 
 def _config_default(context):
-    plugin_name = context.current_parameters['plugin']
-    plugin = hubs.widgets.registry[plugin_name]
-    arguments = getattr(plugin.data, 'widget_arguments', [])
-    return json.dumps(dict([(arg.name, arg.default) for arg in arguments]))
+    widget_name = context.current_parameters['plugin']
+    widget = hubs.widgets.registry[widget_name]
+    return json.dumps(dict([
+        (arg.name, arg.default) for arg in widget.get_arguments()
+        ]))
 
 
 class Widget(BASE):
@@ -334,8 +336,11 @@ class Widget(BASE):
     def __json__(self):
         session = object_session(self)
         module = hubs.widgets.registry[self.plugin]
-        data = module.data(session, self, **self.config)
+        root_view = module.get_views()["root"](module)
+        data = root_view.get_context(self)
+        data.update(root_view.get_extra_context(self))
         data.pop('widget', None)
+        data.pop('widget_instance', None)
         return {
             'id': self.idx,
             # TODO -- use flask.url_for to get the url for this widget
@@ -355,11 +360,6 @@ class Widget(BASE):
     def module(self):
         return hubs.widgets.registry[self.plugin]
 
-    def render(self):
-        session = object_session(self)
-        render = hubs.widgets.render
-        return render(self.module, session, self, **self.config)
-
 
 class User(BASE):
     __tablename__ = 'users'

